⚠️ This documentation is not complete and will change. Documentation and API References are actively being updated.
curl --request POST \
--url https://api.propops.app/api/tenants/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenant_name": "Tenant_001",
"csrf_token": "abc123def456",
"tenant_address_id": 5,
"tenant_number_primary": "07700000003",
"tenant_number_work": "01200000002",
"tenant_email": "tenant001@example.com"
}
'{
"success": true,
"message": "Operation completed successfully",
"tenant_id": 100,
"tenant_uuid": "990e8400-e29b-41d4-a716-446655440001"
}Add a new tenant record. Required permission: api.tenants.list.manage
curl --request POST \
--url https://api.propops.app/api/tenants/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenant_name": "Tenant_001",
"csrf_token": "abc123def456",
"tenant_address_id": 5,
"tenant_number_primary": "07700000003",
"tenant_number_work": "01200000002",
"tenant_email": "tenant001@example.com"
}
'{
"success": true,
"message": "Operation completed successfully",
"tenant_id": 100,
"tenant_uuid": "990e8400-e29b-41d4-a716-446655440001"
}All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...
"Tenant_001"
"abc123def456"
5
"07700000003"
"01200000002"
"tenant001@example.com"